<?php
// Default style configuration for Polder theme 3.0
// $Id: polder.inc,v 1.5 2003/11/10 18:33:13 killes Exp $
function polder_default_style() {
  $style['header_text']['list'] = "default";
  $style['header_text']['value'] = variable_get("site_name", "drupal");
  $style['header_text']['form'] = "textfield";
  $style['header_text']['comment'] = t("Text for page title shown in header");  
  
  $style['page_description']['list'] = "default";
  $style['page_description']['value'] = variable_get("site_slogan", "");
  $style['page_description']['form'] = "textfield";
  $style['page_description']['comment'] = t("Text for slogan shown in header ");
  
  $style['dark_color']['list'] = "default"; 
  $style['dark_color']['value'] = "#336699";    
  $style['dark_color']['form'] = "textfield";
  $style['dark_color']['comment'] = t("Color for borders, fonts and title bars ");
  
  $style['second_color']['list'] = "default";
  $style['second_color']['value'] = "#9DCDE9"; 
  $style['second_color']['form'] = "textfield";
  $style['second_color']['comment'] = t("Color for meta (author/date) bars"); 
  
  $style['light_color']['list'] = "default";
  $style['light_color']['value'] = "#FAFFFA";
  $style['light_color']['form'] = "textfield";
  $style['light_color']['comment'] = t("Color for background");
       
  $style['header_fonts']['list'] = "default";
  $style['header_fonts']['value'] = "";
  $style['header_fonts']['form'] = "select";
  $style['header_fonts']['presets'] = polder_font_preset();
  $style['header_fonts']['comment'] = t("Font for page title ");
 
  $style['message_fonts']['list'] = "default";
  $style['message_fonts']['value'] = "Verdana, sans-serif"; 
  $style['message_fonts']['form'] = "select";
  $style['message_fonts']['presets'] = polder_font_preset();
  $style['message_fonts']['comment'] = t("Font for other titles and messages");
  
  $style['system_fonts']['list'] = "expert";
  $style['system_fonts']['value'] = "Arial, sans-serif";
  $style['system_fonts']['form'] = "select";
  $style['system_fonts']['presets'] = polder_font_preset();
  $style['system_fonts']['comment'] = t("Font for menu's and system messages");

  $style['enable_static_css']['list'] = "expert"; 
  $style['enable_static_css']['value'] = 0;    
  $style['enable_static_css']['form'] = "select";
  $style['enable_static_css']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_static_css']['comment'] = t("Enable static stylesheet");
  
  $style['path_css']['list'] = "expert"; 
  $style['path_css']['value'] = "/themes/polder/default.css";    
  $style['path_css']['form'] = "textfield";
  $style['path_css']['comment'] = t("File for static stylesheet");

  $style['css_media']['list'] = "hidden"; 
  $style['css_media']['value'] = "screen";    
  $style['css_media']['form'] = "select";
  $style['css_media']['comment'] = t("Type of stylesheet (Ex. 'screen' or 'print')");
  
  $style['left_column_width']['list'] = "expert";
  $style['left_column_width']['value'] = 140;
  $style['left_column_width']['form'] = "select";
  $style['left_column_width']['presets'] = array(0 => "0 pixs", 120 => "120 pixs", 130 => "130 pixs", 140 => "140 pixs", 150 => "150 pixs", 160 => "160 pixs", 170 => "170 pixs", 180 => "180 pixs", 190 => "190 pixs", 200 => "200 pixs", 220 => "220 pixs", 240 => "240 pixs", 260 => "260 pixs", 280 => "280 pixs", 300 => "300 pixs", 320 => "320 pixs"); 
  $style['left_column_width']['comment'] = t("Width left side column");
  
  $style['right_column_width']['list'] = "expert";
  $style['right_column_width']['value'] = 0;
  $style['right_column_width']['form'] = "select";
  $style['right_column_width']['presets'] = array(0 => "0 pixs", 120 => "120 pixs", 130 => "130 pixs", 140 => "140 pixs", 150 => "150 pixs", 160 => "160 pixs", 170 => "170 pixs", 180 => "180 pixs", 190 => "190 pixs", 200 => "200 pixs", 220 => "220 pixs", 240 => "240 pixs", 260 => "260 pixs", 280 => "280 pixs", 300 => "300 pixs", 320 => "320 pixs");
  $style['right_column_width']['comment'] = t("Width right side column");

  $style['enable_logo']['list'] = "expert";
  $style['enable_logo']['value'] = 0;
  $style['enable_logo']['form'] = "select";
  $style['enable_logo']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_logo']['comment'] = t("Enable logo image in header");
  
  $style['path_logo']['list'] = "expert";
  $style['path_logo']['value'] = "/themes/polder/images/logo.png";
  $style['path_logo']['form'] = "textfield";
  $style['path_logo']['comment'] = t("File for logo image");  
  
  $style['enable_header_text']['list'] = "expert";
  $style['enable_header_text']['value'] = 1;
  $style['enable_header_text']['form'] = "select";
  $style['enable_header_text']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_header_text']['comment'] = "Enable header title text";   
  
  $style['description_font_size']['list'] = "expert";
  $style['description_font_size']['value'] = "large";
  $style['description_font_size']['form'] = "select";
  $style['description_font_size']['presets'] = polder_font_sizes();
  $style['description_font_size']['comment'] = t("Font size for slogan  shown in header");
  
  $style['enable_header_menu']['list'] = "expert";
  $style['enable_header_menu']['value'] = 1;
  $style['enable_header_menu']['form'] = "select";
  $style['enable_header_menu']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_header_menu']['comment'] = t("Enable horizontal menu in header");

  $style['enable_local_menu']['list'] = "expert";
  $style['enable_local_menu']['value'] = 0;
  $style['enable_local_menu']['form'] = "select";
  $style['enable_local_menu']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_local_menu']['comment'] = t("Enable local/personal menu in header");
  
  $style['enable_footer_menu']['list'] = "expert";
  $style['enable_footer_menu']['value'] = 0;
  $style['enable_footer_menu']['form'] = "select";
  $style['enable_footer_menu']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_footer_menu']['comment'] = t("Enable horizontal menu in footer"); 

  $style['enable_breadcrumb']['list'] = "expert"; 
  $style['enable_breadcrumb']['value'] = 1;    
  $style['enable_breadcrumb']['form'] = "select";
  $style['enable_breadcrumb']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_breadcrumb']['comment'] = t("Enable breadcrumb menu");

  $style['breadcrumb_font_size']['list'] = "expert";
  $style['breadcrumb_font_size']['value'] = "small";
  $style['breadcrumb_font_size']['form'] = "select";
  $style['breadcrumb_font_size']['presets'] = polder_font_sizes();
  $style['breadcrumb_font_size']['comment'] = t("Font size for breadcrumb  menu");
  
  $style['breadcrumb_font_weight']['list'] = "expert";
  $style['breadcrumb_font_weight']['value'] = "bold";
  $style['breadcrumb_font_weight']['form'] = "select";
  $style['breadcrumb_font_weight']['presets'] = array("normal" => "Normal", "bold" => "Bold");
  $style['breadcrumb_font_weight']['comment'] = t("Bold or normal breadcrumb menu fonts");
  
  $style['large_font_size']['list'] = "expert";
  $style['large_font_size']['value'] = "large";
  $style['large_font_size']['form'] = "select";
  $style['large_font_size']['presets'] = polder_font_sizes();
  $style['large_font_size']['comment'] = t("Font size for &lt;H1&gt; headers");
  
  $style['medium_font_size']['list'] = "expert";
  $style['medium_font_size']['value'] = "medium";
  $style['medium_font_size']['form'] = "select";
  $style['medium_font_size']['presets'] = polder_font_sizes();
  $style['medium_font_size']['comment'] = t("Font size for titles");
  
  $style['normal_font_size']['list'] = "expert";
  $style['normal_font_size']['value'] = "small";
  $style['normal_font_size']['form'] = "select";
  $style['normal_font_size']['presets'] = polder_font_sizes();
  $style['normal_font_size']['comment'] = t("Font size for messages and menu's");

  $style['small_font_size']['list'] = "expert";
  $style['small_font_size']['value'] = "x-small";
  $style['small_font_size']['form'] = "select";
  $style['small_font_size']['presets'] = polder_font_sizes();
  $style['small_font_size']['comment'] = t("Font size for small fonts");
  
  $style['enable_metabar']['list'] = "expert";
  $style['enable_metabar']['value'] = 1;
  $style['enable_metabar']['form'] = "select";
  $style['enable_metabar']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_metabar']['comment'] = t("Enable metabar with date, author etc.");
  
  $style['enable_taxonomy_bar']['list'] = "expert";
  $style['enable_taxonomy_bar']['value'] = 1;
  $style['enable_taxonomy_bar']['form'] = "select";
  $style['enable_taxonomy_bar']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_taxonomy_bar']['comment'] = t("Enable extra bar with taxonomy links");
  
  $style['enable_taxonomy_link']['list'] = "expert";
  $style['enable_taxonomy_link']['value'] = 0;
  $style['enable_taxonomy_link']['form'] = "select";
  $style['enable_taxonomy_link']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_taxonomy_link']['comment'] = t("Enable links taxonomy in metabar");
  
  $style['enable_taxonomy_icon']['list'] = "expert";
  $style['enable_taxonomy_icon']['value'] = 0;
  $style['enable_taxonomy_icon']['form'] = "select";
  $style['enable_taxonomy_icon']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_taxonomy_icon']['comment'] = t("Enable taxonomy icons");
  
  $style['extension_icon']['list'] = "expert";
  $style['extension_icon']['value'] = "gif";
  $style['extension_icon']['form'] = "select";
  $style['extension_icon']['presets'] = array("gif" => ".gif", "jpg" => ".jpg", "png" => ".png");
  $style['extension_icon']['comment'] = t("Icons image file type or extension");
  
  $style['icon_path']['list'] = "expert";
  $style['icon_path']['value'] = "/themes/polder/images/icons";
  $style['icon_path']['form'] = "textfield";
  $style['icon_path']['comment'] = t("Path to icons image directory");    
  
  $style['enable_message_bullet']['list'] = "expert";
  $style['enable_message_bullet']['value'] = 0;
  $style['enable_message_bullet']['form'] = "select";
  $style['enable_message_bullet']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_message_bullet']['comment'] = t("Enable message bullet before node title"); 

  $style['path_message_bullet']['list'] = "expert";
  $style['path_message_bullet']['value'] = "/themes/polder/images/drop.gif";
  $style['path_message_bullet']['form'] = "textfield";
  $style['path_message_bullet']['comment'] = t("File for node bullet image"); 

  $style['enable_comment_bullet']['list'] = "expert";
  $style['enable_comment_bullet']['value'] = "0";
  $style['enable_comment_bullet']['form'] = "select";
  $style['enable_comment_bullet']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_comment_bullet']['comment'] = t("Enable comment bullet before title"); 

  $style['enable_node_avatars']['list'] = "expert";
  $style['enable_node_avatars']['value'] = 0;
  $style['enable_node_avatars']['form'] = "select";
  $style['enable_node_avatars']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_node_avatars']['comment'] = t("Enable user avatar images in nodes"); 

  $style['enable_comment_avatars']['list'] = "expert";
  $style['enable_comment_avatars']['value'] = 0;
  $style['enable_comment_avatars']['form'] = "select";
  $style['enable_comment_avatars']['presets'] = array(0 => "No", 1 => "Yes");
  $style['enable_comment_avatars']['comment'] = t("Enable user avatar images in comments");     

  $style['path_comment_bullet']['list'] = "expert";
  $style['path_comment_bullet']['value'] = "/themes/polder/images/drop.gif";
  $style['path_comment_bullet']['form'] = "textfield";
  $style['path_comment_bullet']['comment'] = t("File for comment bullet image");
  
  $style['page_margin']['list'] = "expert";
  $style['page_margin']['value'] = 5;
  $style['page_margin']['form'] = "select";
  $style['page_margin']['presets'] = array(0 => "0 pixs", 1 => "1 pix", 2 => "2 pixs", 3 => "3 pixs", 4 => "4 pixs", 5 => "5 pixs", 6 => "6 pixs", 7 => "7 pixs", 8 => "8 pixs", 9 => "9 pixs", 10 => "10 pixs", 11 => "11 pixs", 12 => "12 pixs", 13 => "13 pixs", 14 => "14 pixs", 15 => "15 pixs");
  $style['page_margin']['comment'] = t("Margin page");
  
  $style['main_table_margin']['list'] = "expert";
  $style['main_table_margin']['value'] = 8;
  $style['main_table_margin']['form'] = "select";
  $style['main_table_margin']['presets'] = array(0 => "0 pixs", 1 => "1 pix", 2 => "2 pixs", 3 => "3 pixs", 4 => "4 pixs", 5 => "5 pixs", 6 => "6 pixs", 7 => "7 pixs", 8 => "8 pixs", 9 => "9 pixs", 10 => "10 pixs", 11 => "11 pixs", 12 => "12 pixs", 13 => "13 pixs", 14 => "14 pixs", 15 => "15 pixs");
  $style['main_table_margin']['comment'] = t("Margin main columns");
  
  $style['node_margin']['list'] = "expert";
  $style['node_margin']['value'] = 5;
  $style['node_margin']['form'] = "select";
  $style['node_margin']['presets'] = array(0 => "0 pixs", 1 => "1 pix", 2 => "2 pixs", 3 => "3 pixs", 4 => "4 pixs", 5 => "5 pixs", 6 => "6 pixs", 7 => "7 pixs", 8 => "8 pixs", 9 => "9 pixs", 10 => "10 pixs", 11 => "11 pixs", 12 => "12 pixs", 13 => "13 pixs", 14 => "14 pixs", 15 => "15 pixs");
  $style['node_margin']['comment'] = t("Margin main (node) blocks");
  
  $style['comment_margin']['list'] = "expert";
  $style['comment_margin']['value'] = 5;
  $style['comment_margin']['form'] = "select";
  $style['comment_margin']['presets'] = array(0 => "0 pixs", 1 => "1 pix", 2 => "2 pixs", 3 => "3 pixs", 4 => "4 pixs", 5 => "5 pixs", 6 => "6 pixs", 7 => "7 pixs", 8 => "8 pixs", 9 => "9 pixs", 10 => "10 pixs", 11 => "11 pixs", 12 => "12 pixs", 13 => "13 pixs", 14 => "14 pixs", 15 => "15 pixs");
  $style['comment_margin']['comment'] = t("Margin comment blocks");
  
  $style['box_margin']['list'] = "expert";
  $style['box_margin']['value'] = 5;
  $style['box_margin']['form'] = "select";
  $style['box_margin']['presets'] = array(0 => "0 pixs", 1 => "1 pix", 2 => "2 pixs", 3 => "3 pixs", 4 => "4 pixs", 5 => "5 pixs", 6 => "6 pixs", 7 => "7 pixs", 8 => "8 pixs", 9 => "9 pixs", 10 => "10 pixs", 11 => "11 pixs", 12 => "12 pixs", 13 => "13 pixs", 14 => "14 pixs", 15 => "15 pixs");
  $style['box_margin']['comment'] = t("Margin general blocks");
  
  $style['menu_margin']['list'] = "expert";
  $style['menu_margin']['value'] = 5; 
  $style['menu_margin']['form'] = "select";
  $style['menu_margin']['presets'] = array(0 => "0 pixs", 1 => "1 pix", 2 => "2 pixs", 3 => "3 pixs", 4 => "4 pixs", 5 => "5 pixs", 6 => "6 pixs", 7 => "7 pixs", 8 => "8 pixs", 9 => "9 pixs", 10 => "10 pixs", 11 => "11 pixs", 12 => "12 pixs", 13 => "13 pixs", 14 => "14 pixs", 15 => "15 pixs");
  $style['menu_margin']['comment'] = t("Margin horizontal menu blocks");

  $style['link_color']['list'] = "expert";
  $style['link_color']['value'] = "#3366CC";
  $style['link_color']['form'] = "textfield";
  $style['link_color']['comment'] = t("Font color new links");
 
  $style['active_link_color']['list'] = "expert";
  $style['active_link_color']['value'] = "#FF0033";
  $style['active_link_color']['form'] = "textfield";
  $style['active_link_color']['comment'] = t("Font color active links"); 
  
  $style['visited_link_color']['list'] = "expert";
  $style['visited_link_color']['value'] = "#993399";
  $style['visited_link_color']['form'] = "textfield";
  $style['visited_link_color']['comment'] = t("Font color followed links");  

  $style['alert_color']['list'] = "expert";
  $style['alert_color']['value'] = "#FF3300";
  $style['alert_color']['form'] = "textfield";
  $style['alert_color']['comment'] = t("Color for error messages");

  $style['poll_bar_color']['list'] = "expert";
  $style['poll_bar_color']['value'] = "";
  $style['poll_bar_color']['form'] = "textfield";
  $style['poll_bar_color']['comment'] = t("Color for poll votes bar");
  
  $style['poll_bar_bg_color']['list'] = "expert";
  $style['poll_bar_bg_color']['value'] = "";
  $style['poll_bar_bg_color']['form'] = "textfield";
  $style['poll_bar_bg_color']['comment'] = t("Color for poll bar background");
  
  $style['background_color']['list'] = "expert";
  $style['background_color']['value'] = "";
  $style['background_color']['form'] = "";
  $style['background_color']['presets'] = "";
  $style['background_color']['comment'] = t("Color for background in general");
  
  $style['box_bg_color']['list'] = "expert";
  $style['box_bg_color']['value'] = "";
  $style['box_bg_color']['form'] = "";
  $style['box_bg_color']['presets'] = "";
  $style['box_bg_color']['comment'] = t("Color for background boxes");
  
  $style['taxbar_bg_color']['list'] = "expert";
  $style['taxbar_bg_color']['value'] = "";
  $style['taxbar_bg_color']['form'] = "";
  $style['taxbar_bg_color']['presets'] = "";
  $style['taxbar_bg_color']['comment'] = t("Color for background taxonomy bar");
  
  $style['font_color']['list'] = "expert";
  $style['font_color']['value'] = "";
  $style['font_color']['form'] = "";
  $style['font_color']['presets'] = "";
  $style['font_color']['comment'] = t("Font color in general");
  
  $style['menu_bg_color']['list'] = "expert";
  $style['menu_bg_color']['value'] = "";
  $style['menu_bg_color']['form'] = "";
  $style['menu_bg_color']['presets'] = "";
  $style['menu_bg_color']['comment'] = t("Color for background menu bars");

  $style['menu_fonts']['list'] = "expert";
  $style['menu_fonts']['value'] = "";
  $style['menu_fonts']['form'] = "select";
  $style['menu_fonts']['presets'] = polder_font_preset();
  $style['menu_fonts']['comment'] = t("Font for menu's ");
  
  $style['menu_font_size']['list'] = "expert";
  $style['menu_font_size']['value'] = "";
  $style['menu_font_size']['form'] = "select";
  $style['menu_font_size']['presets'] = polder_font_sizes();
  $style['menu_font_size']['comment'] = t("Font size for menu's");
  
  $style['frame_color']['list'] = "expert";
  $style['frame_color']['value'] = "";
  $style['frame_color']['form'] = "";
  $style['frame_color']['presets'] = "";
  $style['frame_color']['comment'] = t("Color for borders");
  
  $style['frame_size']['list'] = "expert";
  $style['frame_size']['value'] = 1;
  $style['frame_size']['form'] = "select";
  $style['frame_size']['presets'] = array(0 => "0 pixs", 1 => "1 pix", 2 => "2 pixs", 3 => "3 pixs", 4 => "4 pixs", 5 => "5 pixs", 6 => "6 pixs", 7 => "7 pixs", 8 => "8 pixs", 9 => "9 pixs", 10 => "10 pixs", 11 => "11 pixs", 12 => "12 pixs", 13 => "13 pixs", 14 => "14 pixs", 15 => "15 pixs");
  $style['frame_size']['comment'] = t("Size borders");
  
  $style['header_font_size']['list'] = "expert";
  $style['header_font_size']['value'] = "42pt";
  $style['header_font_size']['form'] = "select";
  $style['header_font_size']['presets'] = array("24pt" => "24 pt", "32pt" => "32 pt", "36pt" => "36 pt", "42pt" => "42 pt", "48pt" => "48 pt", "54pt" => "54 pt", "60pt" => "60 pt", "66pt" => "66 pt", "72pt" => "72 pt");
  $style['header_font_size']['comment'] = t("Font size title header");  
  
  $style['header_font_color']['list'] = "expert";
  $style['header_font_color']['value'] = "";
  $style['header_font_color']['form'] = "textfield";
  $style['header_font_color']['presets'] = "";
  $style['header_font_color']['comment'] = t("Color for title header");
  
  $style['header_font_weight']['list'] = "expert";
  $style['header_font_weight']['value'] = "bold";
  $style['header_font_weight']['form'] = "select";
  $style['header_font_weight']['presets'] = array("normal" => "Normal", "bold" => "Bold");
  $style['header_font_weight']['comment'] = t("Bold or normal header  fonts");
  
  $style['title_fonts']['list'] = "expert";
  $style['title_fonts']['value'] = "";
  $style['title_fonts']['form'] = "select";
  $style['title_fonts']['presets'] = polder_font_preset();
  $style['title_fonts']['comment'] = t("Font for titles");
  
  $style['title_bg_color']['list'] = "expert";
  $style['title_bg_color']['value'] = "";
  $style['title_bg_color']['form'] = "textfield";
  $style['title_bg_color']['presets'] = "";
  $style['title_bg_color']['comment'] = t("Color background title bar");
  
  $style['title_font_size']['list'] = "expert";
  $style['title_font_size']['value'] = "";
  $style['title_font_size']['form'] = "select";
  $style['title_font_size']['presets'] = polder_font_sizes();
  $style['title_font_size']['comment'] = t("Font size titles");
  
  $style['title_font_color']['list'] = "expert";
  $style['title_font_color']['value'] = "";
  $style['title_font_color']['form'] = "";
  $style['title_font_color']['presets'] = "";
  $style['title_font_color']['comment'] = t("Font color titles");
      
  $style['titles_font_weight']['list'] = "expert";
  $style['titles_font_weight']['value'] = "bold";
  $style['titles_font_weight']['form'] = "select";
  $style['titles_font_weight']['presets'] = array("normal" => "Normal", "bold" => "Bold");
  $style['titles_font_weight']['comment'] = t("Bold or normal title fonts");
    
  $style['meta_fonts']['list'] = "expert";
  $style['meta_fonts']['value'] = "";
  $style['meta_fonts']['form'] = "select";
  $style['meta_fonts']['presets'] = polder_font_preset();
  $style['meta_fonts']['comment'] = t("Font for meta bar");
  
  $style['meta_bg_color']['list'] = "expert";
  $style['meta_bg_color']['value'] = "";
  $style['meta_bg_color']['form'] = "";
  $style['meta_bg_color']['presets'] = "";
  $style['meta_bg_color']['comment'] = t("Color for background meta bar");
  
  $style['meta_font_size']['list'] = "expert";
  $style['meta_font_size']['value'] = "";
  $style['meta_font_size']['form'] = "select";
  $style['meta_font_size']['presets'] = polder_font_sizes();
  $style['meta_font_size']['comment'] = t("Font size meta bar font");
  
  $style['meta_font_color']['list'] = "expert";
  $style['meta_font_color']['value'] = "";
  $style['meta_font_color']['form'] = "";
  $style['meta_font_color']['presets'] = "";
  $style['meta_font_color']['comment'] = t("Font color for meta bar");
  
  $style['message_bg_color']['list'] = "expert";
  $style['message_bg_color']['value'] = "";
  $style['message_bg_color']['form'] = "";
  $style['message_bg_color']['presets'] = "";
  $style['message_bg_color']['comment'] = t("Color for background message blocks");
  
  $style['message_font_size']['list'] = "expert";
  $style['message_font_size']['value'] = "";
  $style['message_font_size']['form'] = "select";
  $style['message_font_size']['presets'] = polder_font_sizes();
  $style['message_font_size']['comment'] = t("Font size message font");
  
  $style['message_font_color']['list'] = "expert";
  $style['message_font_color']['value'] = "";
  $style['message_font_color']['form'] = "";
  $style['message_font_color']['presets'] = "";
  $style['message_font_color']['comment'] = t("Font color for messages");
  
  $style['system_font_size']['list'] = "expert";
  $style['system_font_size']['value'] = "";
  $style['system_font_size']['form'] = "select";
  $style['system_font_size']['presets'] = polder_font_sizes();
  $style['system_font_size']['comment'] = t("Font size system font");
  
  $style['system_font_color']['list'] = "expert";
  $style['system_font_color']['value'] = "";
  $style['system_font_color']['form'] = "";
  $style['system_font_color']['presets'] = "";
  $style['system_font_color']['comment'] = t("Color for system font");

  $style['link_delimiter']['list'] = "expert";
  $style['link_delimiter']['value'] = "&nbsp;&middot;&nbsp;";
  $style['link_delimiter']['form'] = "textfield";
  $style['link_delimiter']['comment'] = t("Code for the menu link seperators");

  $style['item_bullet']['list'] = "expert";
  $style['item_bullet']['value'] = "&nbsp;&middot;&nbsp;";
  $style['item_bullet']['form'] = "textfield";
  $style['item_bullet']['comment'] = t("Code for bullet in item list");

  $style['enable_new_icon']['list'] = "hidden";
  $style['enable_new_icon']['value'] = 0;
  $style['enable_new_icon']['form'] = "select";
  $style['enable_new_icon']['comment'] = t("Enable 'new' icon");  
 
  $style['path_new_icon']['list'] = "hidden";
  $style['path_new_icon']['value'] = "/themes/polder/images/new.gif";
  $style['path_new_icon']['form'] = "textfield";
  $style['path_new_icon']['comment'] = t("Path to 'new' icon image file");   
  
  $style['comment_frame_color']['list'] = "expert";
  $style['comment_frame_color']['value'] = "";
  $style['comment_frame_color']['form'] = "";
  $style['comment_frame_color']['presets'] = "";
  $style['comment_frame_color']['comment'] = t("Border color of the comment blocks");
  
  $style['comment_bg_color']['list'] = "expert";
  $style['comment_bg_color']['value'] = "";
  $style['comment_bg_color']['form'] = "";
  $style['comment_bg_color']['presets'] = "";
  $style['comment_bg_color']['comment'] = t("Background color of the comment blocks");
  
  $style['comment_title_fonts']['list'] = "expert";
  $style['comment_title_fonts']['value'] = "";
  $style['comment_title_fonts']['form'] = "select";
  $style['comment_title_fonts']['presets'] = polder_font_preset();
  $style['comment_title_fonts']['comment'] = t("Font for titles comment blocks");
  
  $style['comment_title_bg_color']['list'] = "expert";
  $style['comment_title_bg_color']['value'] = "";
  $style['comment_title_bg_color']['form'] = "";
  $style['comment_title_bg_color']['presets'] = "";
  $style['comment_title_bg_color']['comment'] = t("Background color for  comment title row");
  
  $style['comment_title_font_size']['list'] = "expert";
  $style['comment_title_font_size']['value'] = "";
  $style['comment_title_font_size']['form'] = "select";
  $style['comment_title_font_size']['presets'] = polder_font_sizes();
  $style['comment_title_font_size']['comment'] = t("Font size titles comment blocks");
  
  $style['comment_title_font_color']['list'] = "expert";
  $style['comment_title_font_color']['value'] = "";
  $style['comment_title_font_color']['form'] = "";
  $style['comment_title_font_color']['presets'] = "";
  $style['comment_title_font_color']['comment'] = t("Font color titles comment blocks");
  
  $style['comment_titles_font_weight']['list'] = "expert";
  $style['comment_titles_font_weight']['value'] = "";
  $style['comment_titles_font_weight']['form'] = "select";
  $style['comment_titles_font_weight']['presets'] = array("normal" => "Normal", "bold" => "Bold");
  $style['comment_titles_font_weight']['comment'] = t("Bold or normal title fonts comment blocks");
  
  $style['comment_meta_fonts']['list'] = "expert";
  $style['comment_meta_fonts']['value'] = "";
  $style['comment_meta_fonts']['form'] = "select";
  $style['comment_meta_fonts']['presets'] = polder_font_preset();
  $style['comment_meta_fonts']['comment'] = t("Font for meta bar comment blocks");
  
  $style['comment_meta_bg_color']['list'] = "expert";
  $style['comment_meta_bg_color']['value'] = "";
  $style['comment_meta_bg_color']['form'] = "";
  $style['comment_meta_bg_color']['presets'] = "";
  $style['comment_meta_bg_color']['comment'] = t("Color for background meta bar comment blocks");
  
  $style['comment_meta_font_size']['list'] = "expert";
  $style['comment_meta_font_size']['value'] = "";
  $style['comment_meta_font_size']['form'] = "select";
  $style['comment_meta_font_size']['presets'] = polder_font_sizes();
  $style['comment_meta_font_size']['comment'] = t("Font size meta bar font comment blocks");
  
  $style['comment_meta_font_color']['list'] = "expert";
  $style['comment_meta_font_color']['value'] = "";
  $style['comment_meta_font_color']['form'] = "";
  $style['comment_meta_font_color']['presets'] = "";
  $style['comment_meta_font_color']['comment'] = t("Color for meta bar font in comment blocks");
  
  $style['comment_message_fonts']['list'] = "expert";
  $style['comment_message_fonts']['value'] = "";
  $style['comment_message_fonts']['form'] = "select";
  $style['comment_message_fonts']['presets'] = polder_font_preset();
  $style['comment_message_fonts']['comment'] = t("Font for comment bodies");
  
  $style['comment_message_font_size']['list'] = "expert";
  $style['comment_message_font_size']['value'] = "";
  $style['comment_message_font_size']['form'] = "select";
  $style['comment_message_font_size']['presets'] = polder_font_sizes();
  $style['comment_message_font_size']['comment'] = t("Font size meta bar font comment blocks");
  
  $style['comment_message_font_color']['list'] = "expert";
  $style['comment_message_font_color']['value'] = "";
  $style['comment_message_font_color']['form'] = "";
  $style['comment_message_font_color']['presets'] = "";
  $style['comment_message_font_color']['comment'] = t("Color for meta bar font in comment blocks");

  $style['dark_row_color']['list'] = "expert";
  $style['dark_row_color']['value'] = "#DDDDDD";
  $style['dark_row_color']['form'] = "";
  $style['dark_row_color']['presets'] = "";
  $style['dark_row_color']['comment'] = t("Color for dark rows in tables");

  $style['light_row_color']['list'] = "expert";
  $style['light_row_color']['value'] = "#EEEEEE";
  $style['light_row_color']['form'] = "";
  $style['light_row_color']['presets'] = "";
  $style['light_row_color']['comment'] = t("Color for light rows in tables");
  
  return $style;
}  

// Return font and color mapped style array:  
function polder_style_mapping(&$style) {
  if (!$style['background_color']) $style['background_color'] = $style['light_color']; 
  if (!$style['box_bg_color']) $style['box_bg_color'] = $style['background_color'];
  if (!$style['menu_bg_color']) $style['menu_bg_color'] = $style['background_color'];
  if (!$style['meta_bg_color']) $style['meta_bg_color'] = $style['second_color'];
  if (!$style['message_bg_color']) $style['message_bg_color'] = $style['background_color'];
  if (!$style['taxbar_bg_color']) $style['taxbar_bg_color'] = $style['light_color'];

  if (!$style['frame_color']) $style['frame_color'] = $style['dark_color']; 
  if (!$style['title_bg_color']) $style['title_bg_color'] = $style['dark_color'];

  if (!$style['font_color']) $style['font_color'] = $style['dark_color'];
  if (!$style['title_font_color']) $style['title_font_color'] = $style['background_color'];
  if (!$style['header_font_color']) $style['header_font_color'] = $style['font_color'];
  if (!$style['meta_font_color']) $style['meta_font_color'] = $style['font_color'];
  if (!$style['message_font_color']) $style['message_font_color'] = $style['font_color'];
  if (!$style['system_font_color']) $style['system_font_color'] = $style['font_color'];

  if (!$style['title_font_size']) $style['title_font_size'] = $style['medium_font_size'];
  if (!$style['meta_font_size']) $style['meta_font_size'] = $style['normal_font_size'];
  if (!$style['message_font_size']) $style['message_font_size'] = $style['normal_font_size'];
  if (!$style['system_font_size']) $style['system_font_size'] = $style['normal_font_size'];
  if (!$style['menu_font_size']) $style['menu_font_size'] = $style['normal_font_size'];
  
  if (!$style['header_fonts']) $style['header_fonts'] = $style['message_fonts'];
  if (!$style['title_fonts']) $style['title_fonts'] = $style['message_fonts'];
  if (!$style['meta_fonts']) $style['meta_fonts'] = $style['system_fonts'];
  if (!$style['menu_fonts']) $style['menu_fonts'] = $style['system_fonts'];
  
  if (!$style['comment_frame_color']) $style['comment_frame_color'] = $style['frame_color'];
  if (!$style['comment_bg_color']) $style['comment_bg_color'] = $style['box_bg_color'];
  if (!$style['comment_title_fonts']) $style['comment_title_fonts'] = $style['title_fonts'];
  if (!$style['comment_title_bg_color']) $style['comment_title_bg_color'] = $style['title_bg_color'];
  if (!$style['comment_title_font_size']) $style['comment_title_font_size'] = $style['title_font_size'];
  if (!$style['comment_title_font_color']) $style['comment_title_font_color'] = $style['title_font_color'];
  if (!$style['comment_titles_font_weight']) $style['comment_titles_font_weight'] = $style['titles_font_weight'];
  if (!$style['comment_meta_fonts']) $style['comment_meta_fonts'] = $style['meta_fonts'];
  if (!$style['comment_meta_bg_color']) $style['comment_meta_bg_color'] = $style['meta_bg_color'];
  if (!$style['comment_meta_font_size']) $style['comment_meta_font_size'] = $style['meta_font_size'];
  if (!$style['comment_meta_font_color']) $style['comment_meta_font_color'] = $style['meta_font_color'];
  if (!$style['comment_message_fonts']) $style['comment_message_fonts'] = $style['message_fonts'];
  if (!$style['comment_message_font_size']) $style['comment_message_font_size'] = $style['message_font_size'];
  if (!$style['comment_message_font_color']) $style['comment_message_font_color'] = $style['message_font_color'];
  if (!$style['poll_bar_color']) $style['poll_bar_color'] = $style['dark_color'];
  if (!$style['poll_bar_bg_color']) $style['poll_bar_bg_color'] = $style['second_color'];

  return $style;
}
  
// Return the stylesheet for the style array: 
function polder_stylesheet(&$style) {
  $output .= "BODY { background-color: " . $style['background_color'] . "; } \n";
  $output .= "P { font-family: " . $style['system_fonts'] . "; font-size: " . $style['system_font_size'] . "; color: " . $style['system_font_color'] . "; } \n";
  $output .= "SMALL { font-family: " . $style['system_fonts'] . "; font-size: " . $style['small_font_size'] . "; color: " . $style['system_font_color'] . "; } \n";
  $output .= "H1 { font-size: " . $style['large_font_size'] . "; } \n";
  $output .= "H2 { font-size: " . $style['medium_font_size'] . "; } \n";
  $output .= "H3 { font-size: " . $style['normal_font_size'] . "; } \n";
  $output .= "H4 { font-size: " . $style['small_font_size'] . "; } \n";
  $output .= "B { font-weight: bold; } \n";
  $output .= "I { font-style: italic; } \n";
  
  $output .= "TD { font-family: " . $style['system_fonts'] . "; font-size: " . $style['system_font_size'] . "; color: " . $style['system_font_color'] . "; } \n";
  $output .= "TH { font-family: " . $style['system_fonts'] . "; font-size: " . $style['system_font_size'] . "; color: " . $style['system_font_color'] . "; } \n";
  $output .= "TR.dark { background-color: " . $style['dark_row_color'] . "; } \n";
  $output .= "TR.light { background-color: " . $style['light_row_color'] . "; } \n";

  $output .= "A:Link { color: " . $style['link_color'] . "; text-decoration: underline; } \n";
  $output .= "A:Visited { color: " . $style['visited_link_color'] . "; text-decoration: underline; } \n";
  $output .= "A:Active  { color: " . $style['active_link_color'] . "; text-decoration: none; } \n";
  $output .= "A:Hover { color: " . $style['active_link_color'] . "; text-decoration: none; } \n";
  
  $output .= ".menu LI A:Link  { color: " . $style['link_color'] . "; text-decoration: none; } \n"; 
  $output .= ".menu LI A:Visited  { color: " . $style['visited_link_color'] . "; text-decoration: none; } \n";  
  $output .= ".menu LI A:Active  { color: " . $style['active_link_color'] . "; text-decoration: underline; } \n"; 
  $output .= ".menu LI A:Hover  { color: " . $style['active_link_color'] . "; text-decoration: underline; } \n"; 

  $output .= ".MainColumns { font-family: " . $style['system_fonts'] . "; font-size: " . $style['system_font_size'] . "; color: " .  $style['system_font_color'] . "; } \n";

  $output .= ".MenuFrame { background-color: " . $style['frame_color'] . "; } \n";
  $output .= ".Menu { background-color: " . $style['menu_bg_color'] . "; } \n";
  $output .= ".MenuContent { font-family: " . $style['menu_fonts'] . "; font-size: " . $style['menu_font_size'] . "; } \n";
  
  $output .= ".NodeFrame { background-color: " . $style['frame_color'] . "; } \n";
  $output .= ".Node { background-color: " . $style['message_bg_color'] . "; } \n";
  $output .= ".NodeTitle { font-family: " . $style['title_fonts'] . "; background-color: " . $style['title_bg_color'] . "; font-size: " . $style['title_font_size'] . "; color: " . $style['title_font_color'] . "; font-weight: " . $style['titles_font_weight'] . " } \n";
  $output .= ".NodeMeta { font-family: " . $style['meta_fonts'] . "; background-color: " . $style['meta_bg_color'] . "; font-size: " . $style['meta_font_size'] . "; color: " . $style['meta_font_color'] . "; } \n";
  $output .= ".NodeContent { font-family: " . $style['message_fonts'] . "; font-size: " . $style['message_font_size'] . "; color: " . $style['message_font_color'] . "; } \n";
  $output .= ".NodeMenu { font-family: " . $style['menu_fonts'] . "; font-size: " . $style['menu_font_size'] . "; } \n";
  $output .= ".NodeTaxbar { font-family: " . $style['menu_fonts'] . "; background-color: " . $style['taxbar_bg_color'] . "; font-size: " . $style['menu_font_size'] . "; color: " . $style['system_font_color'] . "; } \n";
  
  $output .= ".BoxFrame { background-color: " . $style['frame_color'] . "; } \n";
  $output .= ".Box { background-color: " . $style['box_bg_color'] . "; } \n";
  $output .= ".BoxTitle { font-family: " . $style['title_fonts'] . "; background-color: " . $style['title_bg_color'] . "; font-size: " . $style['title_font_size'] . "; color: " . $style['title_font_color'] . "; font-weight: " . $style['titles_font_weight'] . " } \n";
  $output .= ".BoxContent { font-family: " . $style['system_fonts'] . "; font-size: " . $style['system_font_size'] . "; color: " . $style['system_font_color'] . "; } \n";
  
  $output .= ".CommentFrame { background-color: " . $style['comment_frame_color'] . "; } \n";
  $output .= ".Comment { background-color: " . $style['comment_bg_color'] . "; } \n";
  $output .= ".CommentTitle { font-family: " . $style['comment_title_fonts'] . "; background-color: " . $style['comment_title_bg_color'] . "; font-size: " . $style['comment_title_font_size'] . "; color: " . $style['comment_title_font_color'] . "; font-weight: " . $style['comment_titles_font_weight'] . "; } \n";
  $output .= ".CommentMeta { font-family: " . $style['comment_meta_fonts'] . "; background-color: " . $style['comment_meta_bg_color'] . "; font-size: " . $style['comment_meta_font_size'] . "; color: " . $style['comment_meta_font_color'] . "; } \n";
  $output .= ".CommentContent { font-family: " . $style['comment_message_fonts'] . ";  font-size: " . $style['comment_message_font_size'] . "; color: " . $style['comment_message_font_color'] . "; } \n";
  $output .= ".CommentMenu { font-family: " . $style['menu_fonts'] . "; font-size: " . $style['menu_font_size'] . "; } \n";
  
  $output .= ".Header { font-family: " . $style['header_fonts'] . "; font-size: " . $style['header_font_size'] . "; color: " . $style['header_font_color'] . "; font-weight: " . $style['header_font_weight'] . ";} \n";
  $output .= ".Description { font-family: " . $style['message_fonts'] . "; font-size: " . $style['description_font_size'] . "; } \n";
  $output .= ".Footer { font-family: " . $style['system_fonts'] . "; font-size: " . $style['small_font_size'] . "; color: " . $style['system_font_color'] . "; } \n";
  $output .= ".Breadcrumb { font-family: " . $style['system_fonts'] . "; font-size: " . $style['breadcrumb_font_size'] . "; color: " . $style['system_font_color'] . "; font-weight: " . $style['breadcrumb_font_weight'] . "; } \n";

  $output .= ".poll .bar .foreground { background-color: " . $style['poll_bar_color'] . "; } \n";
  $output .= ".poll .bar .background { background-color: " . $style['poll_bar_bg_color'] . "; } \n";

  return $output;
}

// Return array with some font faces:
function polder_font_preset() {
  $output = array("Garamond, serif" => "Garamond", "Georgia, serif" => "Georgia", "'Times New Roman', serif" => "Times", "Arial, sans-serif" => "Arial", "Verdana, sans-serif" => "Verdana", "'Comic Sans MS', sans-serif" => "Comic", "'Courier New', monospace" => "Courier", "'Trebuchet MS', Verdana, sans-serif" => "Trebuchet", "Tahoma, Verdana, sans-serif" => "Tahoma");
  asort($output);
  
  return $output;
}

function polder_font_sizes() {
  return array("xx-small" => "XX-Small", "x-small" => "X-Small", "small" => "Small", "medium" => "Medium", "large" => "Large", "x-large" => "X-Large", "xx-large" => "XX-Large");
}

// AND SOME THEME SPECIFIC FUNCTIONS

// Return formatted title string: 
function polder_format_title($title = "") {
  if ($title) $output = variable_get("site_name", "drupal" . " - " . $title);
  else $output .= variable_get("site_name", "drupal") . " - " . variable_get("site_slogan", "");
  
  return $output;
}

// Return links or icon for taxonomy terms: 
function polder_get_taxonomy($node, $type, $icon_path = "", $icon_ext = "gif", $delimiter = " | ") {
  if (function_exists("taxonomy_link")) {
    if ($links = taxonomy_link("taxonomy terms", $node)) {
      if ($type == "icon") {
        $term = strip_tags($links[0]);
        $icon_name = strtolower(str_replace(" ", "_", $term)); 
        $image = "\n<img src=\"" . $icon_path . "/" . $icon_name. "." . $icon_ext . "\" border=\"0\" alt=\"Icon\" title=\"" . $term . "\" />\n";
        $output = str_replace($term, $image, $links[0]);
      }     
      else if ($type == "metabar") {
        //$output = $links[0];
        $output = implode($delimiter, $links);
      }
      else {
        $output = implode($delimiter, $links);
      }
    }  
  }
  return $output;
}

// Return meta string with author and date: 
function polder_get_meta_line(&$type) {
  // if user page style
  if ($type->type == variable_get("style_link_node_type", "blog")) {
    $date = $type->created; 
    if (function_exists("style_filter_user_pages")) { 
      if (style_filter_user_pages()) {
        $output =  strtr(t("%a"), array("%a" => format_date($date, "large"))) . "&nbsp;";  
      }
      else {
        $output = ucfirst($type->type) . " " . t("submitted");
        $output .=  " " . strtr(t("by %a on %b"), array("%a" => format_name($type), "%b" => format_date($date, "large"))) . "&nbsp;";
      }      
    }   
  }
  // else if other node types
  else if ($type->type) {
    $date = $type->created;
    $output = ucfirst($type->type) . " " . t("submitted");  
    $output .=  " " . strtr(t("by %a on %b"), array("%a" => format_name($type), "%b" => format_date($date, "large"))) . "&nbsp;";  
  }
  // else is comment
  else {
    $date = $type->timestamp;
    $output = t("Comment added");
    $output .=  " " . strtr(t("by %a on %b"), array("%a" => format_name($type), "%b" => format_date($date, "large"))) . "&nbsp;";
  }
  if ($type->score) $output .= " (Score:&nbsp;" . $type->score . ")"; 
  
  return $output;
}

// Return string with node content: 
function polder_get_node_content($main, &$node) {
  if ($main && $node->teaser) {
    $output = $node->teaser;
  }
  else {
    $output = $node->body;
  }
  return $output;
}

// Return avatar image:
function polder_avatar($node) {
  $extensions = array (".jpg", ".jpeg", ".gif", ".png");
  foreach ($extensions as $extension)  {
    $file = profile_avatar_path($node->uid, $extension);
    if (file_exists($file)) {
      $output = l("<img src=\"$file\" align=\"top\" vspace=\"0\" hspace=\"5\" border=\"0\" alt=\"Avatar " . $node->name . "\" />", "/user/view/" . $node->uid, array ("title" => t("view user profile"))). "\n";
      break;
    }
  }
  return $output;
}
?>
